From: "Alexis Ballier" <aballier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/lv2/
Date: Wed, 30 Nov 2016 09:25:37 +0000 (UTC) [thread overview]
Message-ID: <1480497932.4eaba3d3e8fc1b12c632b2bbe6cca7086017427e.aballier@gentoo> (raw)
commit: 4eaba3d3e8fc1b12c632b2bbe6cca7086017427e
Author: Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 30 09:12:43 2016 +0000
Commit: Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Wed Nov 30 09:25:32 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4eaba3d3
media-libs/lv2: bump to 1.14.0
Package-Manager: portage-2.3.2
media-libs/lv2/Manifest | 1 +
media-libs/lv2/lv2-1.14.0.ebuild | 44 ++++++++++++++++++++++++++++++++++++++++
2 files changed, 45 insertions(+)
diff --git a/media-libs/lv2/Manifest b/media-libs/lv2/Manifest
index b7a8e71..b78f428 100644
--- a/media-libs/lv2/Manifest
+++ b/media-libs/lv2/Manifest
@@ -1,3 +1,4 @@
DIST lv2-1.10.0.tar.bz2 422018 SHA256 e80c8e4b45d4de3b09f26d76e39d454739b6aff3f444ea1dabe466ab530fa4d5 SHA512 e7704101a3ef95a235e76fde862c94c605769c862e4ffd059e4059245f1a1402e4c2b0e7265797fefb5cfc67d3724c815acf6ef3a31d5eab52162a62a303ee5c WHIRLPOOL 50e1bf06c294391fbab85d0ba276730900e5758b0056a210438c785f387648921093f82dc25081aef09378098166b318600eedd8d1a551bc985f71e60bdd4d62
DIST lv2-1.12.0.tar.bz2 399666 SHA256 7a4a53138f10ed997174c8bc5a8573d5f5a5d8441aaac2de6cf2178ff90658e9 SHA512 acc5e05eeeb5291fe5b64e30b5c00a6ef7136922fab7846efc05ccacdeff4d7714f705e632d5b3f6a5314cb3a7b847528fd717fc9ebb5d6f39653c53ac261f85 WHIRLPOOL 063b0c6b7d42f010bc6b6914902c00b7e79f534a2dd8100b88010460cee88bb61d10820f537fa035fb358e60ae760de2a66b32bd9de4b34cbda35ace229fdde6
+DIST lv2-1.14.0.tar.bz2 386438 SHA256 b8052683894c04efd748c81b95dd065d274d4e856c8b9e58b7c3da3db4e71d32 SHA512 6991d848ed9f04a48ca3070efc15af83431f680aa8a8559a02b1666f7b8d43af8e089f78c3b14ad3345dac32fd1c8ad0faf3a3f56dddc07c6f0e0aeef4077498 WHIRLPOOL 11aee5cf54786d11b8095a56fd9a93009c617d61a0da63d9cf49ed4ab3dc5d65a8b04e0c0672f4d9f278c50aa0aa9496abf88ba5ee52ed4bbf622083dbde2736
DIST lv2-1.8.0.tar.bz2 439609 SHA256 a4c90e8f4a8df58c2dd7bc3b9e1a0df94e3c1cc70c95a10da72a40a9deb9b3d7 SHA512 11c80a5c1f81dfa4e43b34859c77b41182f828a27a9f7e539a57320b193f1db6560ee88497051e0f5382bbe77fd496be359c346c5d2534e51c2bdb13737c1845 WHIRLPOOL 3edd51a7f77bf09ec6c0f7287122caee6c6274089fc3ffe804a08a69ba2c7b7177eb741a3cb8eabdd103d79df6de74e61acf363dd7c50043377c07beea4e7b7f
diff --git a/media-libs/lv2/lv2-1.14.0.ebuild b/media-libs/lv2/lv2-1.14.0.ebuild
new file mode 100644
index 00000000..477e67e
--- /dev/null
+++ b/media-libs/lv2/lv2-1.14.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_4} )
+PYTHON_REQ_USE='threads(+)'
+inherit python-single-r1 waf-utils multilib
+
+DESCRIPTION="A simple but extensible successor of LADSPA"
+HOMEPAGE="http://lv2plug.in/"
+SRC_URI="http://lv2plug.in/spec/${P}.tar.bz2"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="doc plugins"
+
+DEPEND="plugins? ( x11-libs/gtk+:2 media-libs/libsndfile )"
+RDEPEND="${DEPEND}
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/rdflib[${PYTHON_USEDEP}]
+ !<media-libs/slv2-0.4.2
+ !media-libs/lv2core
+ !media-libs/lv2-ui"
+DEPEND="${DEPEND}
+ plugins? ( virtual/pkgconfig )
+ doc? ( app-doc/doxygen dev-python/rdflib )"
+DOCS=( "README.md" "NEWS" )
+
+src_configure() {
+ waf-utils_src_configure \
+ --docdir="${EPREFIX}"/usr/share/doc/${PF} \
+ --lv2dir="${EPREFIX}"/usr/$(get_libdir)/lv2 \
+ $(use plugins || echo " --no-plugins") \
+ $(use doc && echo " --docs" )
+}
+
+src_install() {
+ waf-utils_src_install
+
+ python_fix_shebang "${D}"
+}
next reply other threads:[~2016-11-30 9:25 UTC|newest]
Thread overview: 89+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-11-30 9:25 Alexis Ballier [this message]
-- strict thread matches above, loose matches on Subject: below --
2017-02-17 20:24 [gentoo-commits] repo/gentoo:master commit in: media-libs/lv2/ Michał Górny
2017-04-23 11:29 David Seifert
2017-04-27 10:14 Agostino Sarubbo
2017-04-28 13:22 Agostino Sarubbo
2017-06-15 14:23 Anthony G. Basile
2017-07-12 14:43 Pacho Ramos
2017-12-20 23:22 Matt Thode
2017-12-21 7:39 Matt Thode
2018-03-29 6:17 Sergei Trofimovich
2018-03-30 17:26 Sergei Trofimovich
2018-05-01 11:47 Jeroen Roovers
2018-05-05 12:52 Sergei Trofimovich
2018-05-17 13:52 Thomas Deutschmann
2018-07-22 1:55 Mikle Kolyada
2018-08-25 21:30 Andreas Sturmlechner
2018-12-23 3:25 Matt Turner
2019-02-18 19:24 Alexis Ballier
2019-05-21 21:50 Aaron Bauman
2019-05-24 20:18 Sergei Trofimovich
2019-05-26 11:10 Mikle Kolyada
2019-06-06 6:46 Agostino Sarubbo
2019-06-20 18:04 Sergei Trofimovich
2019-09-14 5:03 Matt Turner
2019-12-14 13:01 Miroslav Šulc
2020-01-17 9:29 Agostino Sarubbo
2020-01-17 9:33 Agostino Sarubbo
2020-01-17 10:27 Agostino Sarubbo
2020-01-17 10:45 Agostino Sarubbo
2020-01-17 12:25 Agostino Sarubbo
2020-01-20 22:11 Sergei Trofimovich
2020-01-27 12:29 Mikle Kolyada
2020-02-09 16:29 Michał Górny
2020-02-10 12:12 Michał Górny
2020-04-01 21:01 Mart Raudsepp
2020-04-13 13:05 Sergei Trofimovich
2020-06-04 9:06 David Seifert
2020-06-10 7:19 Miroslav Šulc
2020-06-10 7:53 Miroslav Šulc
2020-06-20 10:34 Miroslav Šulc
2020-07-10 12:09 Sam James
2020-07-11 19:55 Sergei Trofimovich
2020-07-15 12:19 Sam James
2020-07-17 7:21 Agostino Sarubbo
2020-07-17 7:40 Agostino Sarubbo
2020-07-17 7:44 Agostino Sarubbo
2020-07-22 7:07 Miroslav Šulc
2021-01-08 12:32 Miroslav Šulc
2021-02-08 17:25 Sam James
2021-02-08 17:26 Sam James
2021-02-09 6:15 Sam James
2021-02-14 14:53 Sam James
2021-02-15 6:03 Sam James
2021-02-17 9:40 Miroslav Šulc
2021-08-24 21:02 Marek Szuba
2022-05-01 17:16 Arthur Zamarin
2022-05-29 6:35 Miroslav Šulc
2022-07-21 3:39 Miroslav Šulc
2022-07-30 11:32 Miroslav Šulc
2022-08-15 5:52 Miroslav Šulc
2022-08-23 19:31 Miroslav Šulc
2022-08-27 11:17 Sam James
2022-08-27 11:17 Sam James
2022-09-27 6:00 Arthur Zamarin
2022-09-27 6:05 Jakov Smolić
2022-09-27 6:05 Jakov Smolić
2022-09-27 6:07 Jakov Smolić
2022-09-27 6:07 Jakov Smolić
2022-09-27 7:07 Agostino Sarubbo
2022-09-28 4:38 Miroslav Šulc
2022-10-02 7:35 Miroslav Šulc
2022-10-19 10:07 WANG Xuerui
2023-03-14 6:41 Miroslav Šulc
2023-03-24 5:44 Miroslav Šulc
2023-03-24 6:02 Sam James
2023-03-24 6:02 Sam James
2023-03-24 6:02 Sam James
2023-03-24 6:02 Sam James
2023-03-24 6:02 Sam James
2023-03-24 14:29 Arthur Zamarin
2023-05-04 11:21 Sam James
2023-05-04 11:21 Sam James
2023-05-16 4:12 Sam James
2024-05-28 12:29 Michał Górny
2024-05-28 13:19 Sam James
2024-05-28 13:19 Sam James
2024-05-28 17:01 Sam James
2024-09-06 15:26 Arthur Zamarin
2024-10-07 2:52 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1480497932.4eaba3d3e8fc1b12c632b2bbe6cca7086017427e.aballier@gentoo \
--to=aballier@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox